- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Enumerations | Variables
WP6ContentListener.h File Reference
`#include <librevenge/librevenge.h>`
`#include "WP6Listener.h"`
`#include "WPXContentListener.h"`
`#include "WP6FileStructure.h"`
`#include <stack>`
`#include <map>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | WP6StyleStateSequence
struct | _WP6ContentParsingState
struct | _WP6ListLevel
class | WP6OutlineDefinition
class | WP6ContentListener

## Typedefs
typedef struct _WP6ContentParsingState | WP6ContentParsingState

## Enumerations
enum | WP6StyleState { NORMAL, DOCUMENT_NOTE, DOCUMENT_NOTE_GLOBAL, BEGIN_BEFORE_NUMBERING, BEGIN_NUMBERING_BEFORE_DISPLAY_REFERENCING, DISPLAY_REFERENCING, BEGIN_NUMBERING_AFTER_DISPLAY_REFERENCING, BEGIN_AFTER_NUMBERING, STYLE_BODY, STYLE_END }
enum | WP6ListType { ORDERED, UNORDERED }

## Variables
const int | STATE_MEMORY = 3

## Typedef Documentation

typedef struct _WP6ContentParsingState WP6ContentParsingState

## Enumeration Type Documentation

enum WP6ListType

Enumerator
ORDERED |
UNORDERED |

enum WP6StyleState

Enumerator
NORMAL |
DOCUMENT_NOTE |
DOCUMENT_NOTE_GLOBAL |
BEGIN_BEFORE_NUMBERING |
BEGIN_NUMBERING_BEFORE_DISPLAY_REFERENCING |
DISPLAY_REFERENCING |
BEGIN_NUMBERING_AFTER_DISPLAY_REFERENCING |
BEGIN_AFTER_NUMBERING |
STYLE_BODY |
STYLE_END |

## Variable Documentation

const int STATE_MEMORY = 3

Referenced by WP6StyleStateSequence::clear(), and WP6StyleStateSequence::setCurrentState().